'
' JustLDAPDomain test script for user membership in a fully specified group.
' Note: You need to specify the full Group distinguishedName path.
'
' NOTE: This method is much faster than the "IsUserMemberOfGroup" as JustLDAP
' does not need to search for the group before testing membership of the user.
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - Group Distinguished Name and UserID (sAMAccountName), Domain, AuthUsername, AuthPassword
'
' Domain = DNS Domain Name or IP address (or specific Domain controller DNS name or IP)
' AuthUsername = An account on the remote domain that has enough rights to perform this action.
'                        (Domain Admin recommended.)
' AuthPassword = Password of the AuthUsername account. Note: Password is not sent over the network
'                      as plain text. JustLDAP sets the ADSI security support for secure authentication.
'
' Returns Boolean True or False
'
' This sample performs a fast test of membership of bobuser in the CleanTeam5 group.


Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAPDomain.DomainAdmin")

  Result = oLdap.IsUserMemberOfGroupDNDom("CN=CleanTeam5,OU=Janitors,DC=yourcompany,DC=com", "bobuser", "otherdomain.com", "admin42", "secretpw55$")


  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo(Result)

  Else

    if Result = True then
      Wscript.Echo "User is a member of the group."
    else
      Wscript.Echo "User is not a member of the group."
    End If

  End If

Set oLdap = Nothing


