'
' JustLDAPDomain test script to set "User must change password at next logon" to false
'
' NOTE: !!!  If set to true, JustLDAP automatically clears the "User cannot change password"
'            and "Password never expires" flags (if set).
'
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName), Domain, AuthUsername, AuthPassword
'                  - Selection (True or False)
'
' Domain = DNS Domain Name or IP address (or specific Domain controller DNS name or IP)
' AuthUsername = An account on the remote domain that has enough rights to perform this action.
'                        (Domain Admin recommended.)
' AuthPassword = Password of the AuthUsername account. Note: Password is not sent over the network
'                      as plain text. JustLDAP sets the ADSI security support for secure authentication.
'
' Returns Variant - Typically 0 - indicating success 
'

Option Explicit

Dim oLdap, Result, Test

Set oLdap = CreateObject("JustLDAPDomain.DomainAdmin")

  Result = oLdap.UserMustChangePasswordAtNextLogonDom("bobuser", False, "otherdomain.com", "admin42", "secretpw55$") ' False clears this flag

  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
  End If

  Wscript.Echo(Result)

Set oLdap = Nothing


