'
' JustLDAPDomain test script for setting the user password never expires to True or False
' Demonstrates standard text error message retrieval to assist debugging.
'
' Note that if the the account option "User must change password at next logon" is set
' Then that option will be automatically cleared if the password is set to never expire
' i.e the 2nd parameter is set to 'True' 
'
' Input parameters - UserID (sAMAccountName), Boolean True or False as desired, Domain, AuthUsername, AuthPassword
'
' Domain = DNS Domain Name or IP address (or specific Domain controller DNS name or IP)
' AuthUsername = An account on the remote domain that has enough rights to perform this action.
'                        (Domain Admin recommended.)
' AuthPassword = Password of the AuthUsername account. Note: Password is not sent over the network
'                      as plain text. JustLDAP sets the ADSI security support for secure authentication.
'
' Returns Variant - typically 0 (Integer) indicating success
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAPDomain.DomainAdmin")

  ' Set the password to never expire
  
  Result = oLdap.UserPasswordNeverExpiresDom("bobuser", True, "otherdomain.com", "admin42", "secretpw55$") 
                     
 
  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
  End If
 
  Wscript.Echo Result

Set oLdap = Nothing



